summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apps/mod_survey/files/reconfig')
-rw-r--r--www-apps/mod_survey/files/reconfig17
1 files changed, 17 insertions, 0 deletions
diff --git a/www-apps/mod_survey/files/reconfig b/www-apps/mod_survey/files/reconfig
new file mode 100644
index 000000000000..15be772473f0
--- /dev/null
+++ b/www-apps/mod_survey/files/reconfig
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+die() {
+ echo "#####"
+ echo $1
+ echo "#####"
+ exit 1
+}
+
+if [ $1 = "install" ]; then
+ sed -e "s|/usr/lib/mod_survey/webroot/|${MY_INSTALLDIR}/|g
+ s|\"/mod_survey/\"|\"${VHOST_APPDIR}/\"|
+ s|Alias|#Alias|" -i ${VHOST_ROOT}/${PN}/survey.conf || die
+
+elif [ $1 = "clean" ]; then
+ echo $1
+fi